import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TapdReviewConfigDefault } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:29
 */
interface TapdReviewConfigDefaultCU extends ConditionUtil<TapdReviewConfigDefaultCU> {
    ID: FieldUtil<TapdReviewConfigDefaultCU>;
    ENV: FieldUtil<TapdReviewConfigDefaultCU>;
    FILE_NAME: FieldUtil<TapdReviewConfigDefaultCU>;
    FILE_PATH: FieldUtil<TapdReviewConfigDefaultCU>;
    CONFIG: FieldUtil<TapdReviewConfigDefaultCU>;
    BUSINESS_GROUP: FieldUtil<TapdReviewConfigDefaultCU>;
}
declare class TapdReviewConfigDefaultMU extends TableUtilImpl<TapdReviewConfigDefaultCU, TapdReviewConfigDefault> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TapdReviewConfigDefaultCU;
    static get ID(): FieldUtil<TapdReviewConfigDefaultCU>;
    static get ENV(): FieldUtil<TapdReviewConfigDefaultCU>;
    static get FILE_NAME(): FieldUtil<TapdReviewConfigDefaultCU>;
    static get FILE_PATH(): FieldUtil<TapdReviewConfigDefaultCU>;
    static get CONFIG(): FieldUtil<TapdReviewConfigDefaultCU>;
    static get BUSINESS_GROUP(): FieldUtil<TapdReviewConfigDefaultCU>;
    get ID(): FieldUtil<TapdReviewConfigDefaultCU>;
    get ENV(): FieldUtil<TapdReviewConfigDefaultCU>;
    get FILE_NAME(): FieldUtil<TapdReviewConfigDefaultCU>;
    get FILE_PATH(): FieldUtil<TapdReviewConfigDefaultCU>;
    get CONFIG(): FieldUtil<TapdReviewConfigDefaultCU>;
    get BUSINESS_GROUP(): FieldUtil<TapdReviewConfigDefaultCU>;
}
export { TapdReviewConfigDefaultMU, TapdReviewConfigDefaultCU };
